#!/bin/bash
SL_PACKAGES_DIR=../../RPMS
PACKAGES_DIR=../../SITERPMS
FASTBUGS_DIR=../../updates/fastbugs
SECURITY_DIR=../../updates/security
CONTRIB_DIR=../../contrib
echo "Checking $PACKAGES_DIR $FASTBUGS_DIR $SECURITY_DIR $CONTRIB_DIRi $SL_PACKAGES_DIR"
for rpm in $(ls $PACKAGES_DIR/*.rpm $FASTBUGS_DIR/*.rpm $SECURITY_DIR/*.rpm $CONTRIB_DIR/*/*.rpm $SL_PACKAGES_DIR/*.rpm)
do
        rpmdev-checksig $rpm 1> /dev/null
        if [ $? -ne 0 ] ; then
           echo "$rpm is NOT signed"
        fi
done
